<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php include ("../inc/fic.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
		$titre = "RELANCE CONTRAT NON RECU";
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Relance contrat</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour validation des formulaires -->
<script language="JavaScript" src="../inc/validator.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>

<body>

<?php 
	include_once ("../inc/entete.php"); 
?>

<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<form name="coclrel_maj" id="coclrel_maj" method="post" action="coclrel_enr.php" onsubmit="return v.exec()">
	<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
	<?PHP
	// Création de la liste des contrats non terminés, envoyés et non reçus
	
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
		$rech ="SELECT * FROM ".TBCOCL." WHERE `cocl_datefin` = '0000-00-00' AND `cocl_dateenv` <> '0000-00-00' AND `cocl_daterec` = '0000-00-00' AND `cocl_codeage`='".@$HTTP_SESSION_VARS["code_age"]."' ORDER BY cocl_code DESC";
	else
		$rech ="SELECT * FROM ".TBCOCL." WHERE `cocl_datefin` = '0000-00-00' AND `cocl_dateenv` <> '0000-00-00' AND `cocl_daterec` = '0000-00-00' ORDER BY cocl_code DESC";
	
	$rs = mysql_query($rech) or die(mysql_error());
	
	if (mysql_num_rows($rs) <> 0)
	{
	?>
		<table width="360"  border="0" cellspacing="0" cellpadding="0" align="center">
		<tr>
			<td class="tfvNormal" id="f_codecocl">
				<div align="center">Choisissez un contrat envoy&eacute; mais non re&ccedil;u :</div>
			</td>
		</tr>
		<tr>
			<td>
				<div align="center">
				<select name="codecocl" id="codecocl">
				<?PHP
					echo "<option value=\"\" selected>-- Choisissez un contrat --</option>";

					while ($resultat = mysql_fetch_array($rs)) 
					{
						extract($resultat);
						
						$rech2 ="SELECT * FROM ".TBCLI." WHERE `cli_code` = '".$cocl_codecli."'";
						$rs2 = mysql_query($rech2) or die(mysql_error());
						
						if (mysql_num_rows($rs2) <> 0)
						{
							if ($row2 = mysql_fetch_array($rs2))
								extract ($row2);
						}
						if ($cli_ste <> "")
							$texte = $cocl_code." - ".$cli_ste." (envoyé le ".formatedate($cocl_dateenv);
						else
							$texte = $cocl_code." - ".$cli_nom." (envoyé le ".formatedate($cocl_dateenv);
						if (formatedate($cocl_daterel) <> "")
							$texte.= ", relancé le ".formatedate($cocl_daterel);
						$texte.=")";
						
						echo "<option value=\"".$cocl_code."\">".$texte."</option>";
					}
				?>
				</select>
				</div>
			</td>
		</tr>
		</table>
		<p align="center">
		  <input name="annul" type="button" id="annul" value="Annuler" onclick="javascript:; history.back();">
		  <input type="submit" name="submit" id="submit" value="Valider">
	<?PHP
		mysql_free_result($rs2);
	}
	else
	{
		echo "<span class=\"annot_gras_it\">";
		echo "<div align=\"center\">";
		echo "Pas de contrat ouvert, envoyé et non signé";
		echo "</div>";
		echo "</span>";
	?>
		</p>
		<p align="center"><br>
		<input name="annul" type="button" id="annul" value="Annuler" onclick="javascript:; history.back();">
		</p>
	<?PHP
	}
	
	mysql_free_result($rs);
	mysql_close($conn);
	?>
</p>
</form>
<p>&nbsp;</p>
	
<script>
// form fields description structure
var a_fields = {
	'codecocl':{'l':'Contrat','r':true,'f':'alphanum','t':'f_codecocl'}
},

o_config = {
	'to_disable' : ['submit'],
	'alert' : 1
}

// validator constructor call
var v = new validator('coclrel_maj', a_fields, o_config);
</script>
